For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
            • GETList Products
            • PUTUpdate Products (batch)
            • POSTCreate Product
            • DELDelete Products
            • GETGet Product
            • PUTUpdate Product
            • DELDelete Product
              • GETList Bulk Pricing Rules
              • POSTCreate Bulk Pricing Rule
              • GETGet Bulk Pricing Rule
              • PUTUpdate Bulk Pricing Rule
              • DELDelete Bulk Pricing Rule
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProductsBulk Pricing Rules

Delete Bulk Pricing Rule

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/bulk-pricing-rules/:bulk_pricing_rule_id
DELETE
/stores/:store_hash/v3/catalog/products/:product_id/bulk-pricing-rules/:bulk_pricing_rule_id
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/bulk-pricing-rules/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"

Deletes a Bulk Pricing Rule.

Was this page helpful?
Previous

Update Bulk Pricing Rule

Next

List Products Category Assignments

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

bulk_pricing_rule_idintegerRequired

The ID of the BulkPricingRule.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

Errors

404
Not Found Error